#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeframever	5.116
%define		kf_ver		%{version}
%define		qt_ver		5.15.2
%define		kfname		breeze-icons

Summary:	Breeze icons theme
Summary(pl.UTF-8):	Motyw ikon Breeze
Name:		kf5-%{kfname}
Version:	5.116.0
Release:	3
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/frameworks/%{kdeframever}/%{kfname}-%{version}.tar.xz
# Source0-md5:	0d6733dda53a1a3114967e4e2e8dee89
URL:		https://kde.org/
BuildRequires:	Qt5Core-devel >= %{qt_ver}
BuildRequires:	Qt5Test-devel >= %{qt_ver}
BuildRequires:	cmake >= 3.16
BuildRequires:	gettext-devel
BuildRequires:	kf5-extra-cmake-modules >= %{version}
BuildRequires:	ninja
BuildRequires:	pkgconfig
BuildRequires:	qt5-linguist >= %{qt_ver}
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.605
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	kf5-dirs
# >= to allow kf6-breeze-icons-data
Requires:	%{name}-data >= %{version}-%{release}
Obsoletes:	breeze-icon-theme < 5.240
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_enable_debug_packages	0

%description
Breeze-icons is a freedesktop.org compatible icon theme.

%description -l pl.UTF-8
Breeze-icons to motyw ikon zgodny z freedesktop.org.

%package data
Summary:	Data files for %{kfname}
Summary(pl.UTF-8):	Dane dla %{kfname}
Group:		X11/Applications
Conflicts:	kf6-breeze-icons-data
BuildArch:	noarch

%description data
Data files for %{kfname}.

%description data -l pl.UTF-8
Dane dla %{kfname}.

%package devel
Summary:	Header files for %{kfname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kfname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for %{kfname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kfname}.

%prep
%setup -q -n %{kfname}-%{version}

%build
%cmake -B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON

%ninja_build -C build

%if %{with tests}
%ninja_build -C build test
%endif

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_iconsdir}/breeze/breeze-icons.rcc
%{_iconsdir}/breeze-dark/breeze-icons-dark.rcc

%files data
%defattr(644,root,root,755)
%dir %{_iconsdir}/breeze
%{_iconsdir}/breeze/actions
%{_iconsdir}/breeze/animations
%{_iconsdir}/breeze/applets
%{_iconsdir}/breeze/apps
%{_iconsdir}/breeze/categories
%{_iconsdir}/breeze/devices
%{_iconsdir}/breeze/emblems
%{_iconsdir}/breeze/emotes
%{_iconsdir}/breeze/mimetypes
%{_iconsdir}/breeze/places
%{_iconsdir}/breeze/preferences
%{_iconsdir}/breeze/status
%{_iconsdir}/breeze/index.theme
%dir %{_iconsdir}/breeze-dark
%{_iconsdir}/breeze-dark/actions
%{_iconsdir}/breeze-dark/animations
%{_iconsdir}/breeze-dark/applets
%{_iconsdir}/breeze-dark/apps
%{_iconsdir}/breeze-dark/categories
%{_iconsdir}/breeze-dark/devices
%{_iconsdir}/breeze-dark/emblems
%{_iconsdir}/breeze-dark/emotes
%{_iconsdir}/breeze-dark/mimetypes
%{_iconsdir}/breeze-dark/places
%{_iconsdir}/breeze-dark/preferences
%{_iconsdir}/breeze-dark/status
%{_iconsdir}/breeze-dark/index.theme

%files devel
%defattr(644,root,root,755)
%dir %{_libdir}/cmake/KF5BreezeIcons
%{_libdir}/cmake/KF5BreezeIcons/KF5BreezeIconsConfig.cmake
%{_libdir}/cmake/KF5BreezeIcons/KF5BreezeIconsConfigVersion.cmake
%changelog
* Sun Jun 08 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf5-breeze-icons.git;a=log;h=master

* Sun Jun 08 2025 Jakub Bogusz <qboosh@pld-linux.org> 9bd08ba
- moved .rcc files to base, allow replacing -data by kf6-breeze-icons-data; release 3

* Fri May 23 2025 Jakub Bogusz <qboosh@pld-linux.org> bedd0d5
- typo

* Fri May 23 2025 Jakub Bogusz <qboosh@pld-linux.org> 4919d7f
- release 2

* Fri May 23 2025 Jakub Bogusz <qboosh@pld-linux.org> bc664a4
- versioned Obsoletes, Conflicts for kf6-breeze-icons-data

* Fri May 23 2025 Jakub Bogusz <qboosh@pld-linux.org> 407dfbd
- rpm macros/noarch dependencies

* Fri May 23 2025 Jakub Bogusz <qboosh@pld-linux.org> f2d917e
- pl

* Mon May 20 2024 Witold Filipczyk <witekfl@poczta.onet.pl> c891ec5
- updated to 5.116.0

* Thu Mar 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 587913f
- updated to 5.115.0

* Thu Mar 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> ae408eb
- Revert "- updated to 5.249.0; rel 0.1"

* Sat Feb 03 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 4737a67
- updated to 5.249.0; rel 0.1

* Sun Jan 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 75b5a05
- updated to 5.114.0

* Fri Dec 15 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 54c6d44
- updated to 5.113.0

* Mon Nov 13 2023 Witold Filipczyk <witekfl@poczta.onet.pl> de4eddc
- updated to 5.112.0

* Thu Oct 19 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 614a450
- updated to 5.111.0

* Sun Sep 10 2023 Witold Filipczyk <witekfl@poczta.onet.pl> e0daaef
- updated to 5.110.0

* Fri Aug 18 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 50441f8
- updated to 5.109.0; cmake -B build

* Tue Jul 11 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> d694508
- missing dir: %{_libdir}/cmake/KF5BreezeIcons

* Mon Jul 10 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 576802e
- _enable_debug_packages 0
- rel 2

* Sun Jul 09 2023 Witold Filipczyk <witekfl@poczta.onet.pl> c8de914
- updated to 5.108.0
- trick with devel subpackage non noarch. empty main package, and subpackage data

* Sun Jun 11 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 6df8315
- updated to 5.107.0

